ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Questions about how to install and problems installing - please read the documentation first!
Post Reply
NGothIda
Posts: 3
Joined: Tue Mar 02, 2010 7:13 pm

ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Post by NGothIda » Tue Mar 02, 2010 7:40 pm

Have just downloaded CMSimple & installed it on my PC under the XAMPP Lite test envionrment, where it works fine. However, I can't get things working on my hosting server, EasyHosting.net

I've copied the files and folders over as directed, in text mode and I set the required permissions. The INDEX.PHP comes up OK, but after I log on I get an error message along these lines:

an acceptable version of index.php cannot be found

I am also told that the file cmsimple/cms.php cannot be accessed but the folder and file are both there on the server.

My session then becomes locked and I have to wait a considerable amount of time for it to time out before I regain access.

If I try to access /cmsimple/cms.php directly from my browser, this error appears:

Forbidden
You don't have permission to access /cmsimple/cms.php on this server.
Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.

All permissions are set to 777.

Can anyone recommend a fix for this, please?

NGothIda
Posts: 3
Joined: Tue Mar 02, 2010 7:13 pm

Re: ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Post by NGothIda » Thu Mar 04, 2010 5:56 pm

My webhost tried installing CMSimple and got the same problem as me. Thinks it may be something to do with the way it interacts with a server settings named mod_security , which can't be changed.

Holger
Site Admin
Posts: 3212
Joined: Mon May 19, 2008 7:10 pm
Location: Hessen, Germany
Contact:

Re: ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Post by Holger » Thu Mar 04, 2010 6:02 pm

Hmm, I know that there're some flaws with addons and FCKeditor-plugins together with mod_security.
But I've never heared about a problem with the core.

Wich version have you tried to install?

WBR
Holger

NGothIda
Posts: 3
Joined: Tue Mar 02, 2010 7:13 pm

Re: ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Post by NGothIda » Fri Mar 05, 2010 7:48 pm

It was Ver. 3.3

mvwd
Posts: 299
Joined: Tue Jun 17, 2008 10:35 pm
Location: Baden Württemberg / Germany
Contact:

Re: ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Post by mvwd » Fri Mar 12, 2010 3:49 pm

...how do you log in? Are you using the login-link on your CMSimple's-page!?

Maybe your webserver is using very restrictive settings, like the one in this thread. To keep it short: replace every occurence of the word "passwd" with another word (the user in the post uses "keycut") in cmsimple's core-files (IMO login.php and cms.php are the only one, but i don't know, never had this problem...). In this case, the server didn't like the word "passwd" appearing in the Code and/or URL, that's the reason...

For further help we'll need more information or better: a link to the page having this problem.

mvwd.

StanleyHamlet
Posts: 1
Joined: Tue May 10, 2011 7:19 pm

Re: ACCEPTABLE VERSION OF INDEX.PHP NOT FOUND

Post by StanleyHamlet » Tue May 10, 2011 7:23 pm

Has anyone found a solution to this problem? I've faced the same one. I have Cmsimple 3.3 AGPL.

Post Reply